=== debian/changelog ===
lyx (2.3.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 12 Sep 2018 14:11:14 +0200

lyx (2.3.0-3) unstable; urgency=medium

  * Update upstream URL in d/watch and switch to version 4
  * Update Standards-Version to 4.2.1, no changes needed
  * New patch: Fix FTBFS with Qt 5.11.
    This is a cherry-pick from upstream's git repository:
    5394481071824b39b521d67e2acd7d509e68d0f8 (Closes: #907993)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Sep 2018 10:40:43 +0200

lyx (2.3.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 14 Mar 2018 22:17:05 +0100

lyx (2.3.0-2) unstable; urgency=medium

  * Disable two Python3 patches.
    They make the package unusable with Python2. (Closes: #892418)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Mar 2018 10:35:43 +0100

lyx (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Refresh patches
  * Update d/copyright
  * Remove obsolete NEWS file. The lyx versions are no longer
    in old-old-stable.
  * Remove d/ttf-lyx.maintscript, has been part of a stable release
    and is no longer needed.
  * Remove d/lyx-common.maintscript, has been part of a stable release
    and is no longer needed.
  * Remove Pre-Depends line from lyx-common, no longer needed
  * Remove Replaces/Breaks on lyx-common, no longer needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 08 Mar 2018 16:07:24 +0100

lyx (2.2.3-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Switch back to debhelper v10

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Feb 2018 16:20:37 +0100

lyx (2.3.0~rc2-2) experimental; urgency=medium

  * Remove unneeded symlink creation to debug package.
    After the dbgsym migration, there's no longer a lyx-dbg package
    created and the package FTBFS twice in a row due to the leftover
    directory.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #889492)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 03 Feb 2018 22:15:41 +0100

lyx (2.3.0~rc2-1) experimental; urgency=medium

  * New upstream version 2.3.0~rc2
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 31 Jan 2018 23:58:27 +0100

lyx (2.2.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 20 Oct 2017 20:09:37 +0200
