=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.lyx.org/Download https://ftp.lip6.fr/pub/lyx/stable/[\d\.]*\.x/lyx-([\d\.]*)@ARCHIVE_EXT@
