## lyx 2.3.1-2

=== debian/changelog ===
lyx (2.3.1-2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Oct 2018 13:43:21 +0200

lyx (2.3.1-2-2) unstable; urgency=medium

  * Fix failing configuration of a fresh LyX installation.
    A fresh install of LyX results in the same /usr/share/lyx/configure.py
    failure, and removing ~/.lyx/ on an existing install reproduces the
    issue. It does not occur when ~/.lyx/ is already setup. Problem is
    related to the move to Python 3 and comparisons of bytes and strings.
    Thanks to Jonathan McDowell <noodles@earth.li> (Closes: #909995)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 17 Oct 2018 13:23:14 +0200

lyx (2.3.1-2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Sep 2018 21:07:44 +0200

lyx (2.3.1-2-1) unstable; urgency=medium

  * New upstream version 2.3.1-2
    - Remove patch for Qt 5.11, is now included upstream
    - Refresh remaining patch
  * Another try to switch from Python2 to Python3. According to
    the upstream release announcement:
    "All python scripts distributed with LyX should now be compatible with
    both python 2.x and python 3.x."
    In order to fully support python3, some more patches have been created:
    - Add patch to use python3 instead of python2 during configuration
    - Add patch for python3 shebang line in the distributed python scripts
    - Use python3 internally in the C code as well
  * Update d/watch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 17 Sep 2018 14:17:26 +0200
