=== debian/changelog ===
lyx (2.3.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 29 Dec 2018 16:08:17 +0100

lyx (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 14 Dec 2018 23:17:36 +0100
