=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libx11-dev,
                libz-dev,
                pkg-config,
-               python,
+               python3,
                qtbase5-dev (>= 5.6.0),
                tex-common
 
@@ -85,7 +85,7 @@
 
 Package: lyx-common
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: lyx
 Description: architecture-independent files for LyX
  This package contains LyX's common files which are not
