=== debian/changelog ===
lyx (2.3.3-2) unstable; urgency=medium

  * Recommend texlive-plain-generic instead of transitional packages
  * Fix os.popen for Python 3.
    os.popen returns 'str' data in Python 2 and 3, so do
    not use decode(), which results in an AttributeError
    ('str' object has no attribute 'decode')
    Thanks to Georges Khaznadar (Closes: #939154)
  * Switch to debhelper-compat and use v12
  * Update Standards-Version to 4.4.0, no changes needed
  * Apply fixes from cme fix dpkg

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 01 Sep 2019 20:56:27 +0200

lyx (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
    - Refresh patches
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 09 Jul 2019 20:48:26 +0200
