=== debian/control ===
--- 
+++ 
@@ -3,12 +3,8 @@
 Uploaders: Nick Andrik <nick.andrik@gmail.com>
 Section: editors
 Priority: optional
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/debian/lyx.git
-Vcs-Browser: https://salsa.debian.org/debian/lyx
-Homepage: https://www.lyx.org/
 Build-Depends: bc,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                dh-python,
                libboost-dev,
                libboost-filesystem-dev,
@@ -26,6 +22,10 @@
                python3,
                qtbase5-dev (>= 5.6.0),
                tex-common
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/debian/lyx
+Vcs-Git: https://salsa.debian.org/debian/lyx.git
+Homepage: https://www.lyx.org/
 
 Package: lyx
 Architecture: any
@@ -42,10 +42,9 @@
             preview-latex-style,
             psutils,
             texlive-fonts-recommended,
-            texlive-generic-extra,
-            texlive-generic-recommended,
             texlive-latex-extra,
             texlive-latex-recommended,
+            texlive-plain-generic,
             texlive-science
 Suggests: chktex,
           gnuhtml2latex,
@@ -85,7 +84,8 @@
 
 Package: lyx-common
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: lyx
 Description: architecture-independent files for LyX
  This package contains LyX's common files which are not
