## lyx 2.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -280,25 +280,33 @@
 	    set(LYX_USE_STD_REGEX 0)
 	  endif()
 	else()
-	  execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
+	  execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpfullversion OUTPUT_VARIABLE GCC_VERSION ERROR_VARIABLE _error RESULT_VARIABLE _err OUTPUT_STRIP_TRAILING_WHITESPACE)
+	  #message(STATUS "dumpfullversion: error = ${_error}, result = ${_err}")
+	  if (_err)
+	    # previous check failed, try again with _old_ parameter
+	    execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION ERROR_VARIABLE _error RESULT_VARIABLE _err OUTPUT_STRIP_TRAILING_WHITESPACE)
+	    #message(STATUS "dumpversion: error = ${_error}, result = ${_err}")
+	  endif()
 	  message(STATUS "Using GCC version ${GCC_VERSION}")
-	  if(GCC_VERSION VERSION_LESS 4.9)
-		  if(GCC_VERSION VERSION_LESS 4.6)
-			  message(FATAL_ERROR "gcc >= 4.6 is required.")
-		  endif()
-		  # <regex> in gcc is unusable in versions less than 4.9.0
-		  # see https://gcc.gnu.org/bugzilla/show_bug.cgi?id=53631
-		  set(LYX_USE_STD_REGEX 0)
+	  if(GCC_VERSION VERSION_LESS 4.6)
+		message(FATAL_ERROR "gcc >= 4.6 is required.")
+	  elseif(GCC_VERSION VERSION_LESS 4.9)
+		# <regex> in gcc is unusable in versions less than 4.9.0
+		# see https://gcc.gnu.org/bugzilla/show_bug.cgi?id=53631
+		set(LYX_USE_STD_REGEX 0)
 	  else()
-		  set(LYX_USE_STD_REGEX 1)
+		set(LYX_USE_STD_REGEX 1)
 	  endif()
 	endif()
 	set(LYX_GCC11_MODE "${CXX11_FLAG}")
 else()
-	set(LYX_USE_STD_REGEX 0)
-#	if(MSVC10)
-#		set(LYX_USE_STD_REGEX 1) #TODO should we use it in ECMAScript mode?
-#	endif()
+	if(MSVC_VERSION LESS 1900)
+		# Drop support for msvc versions prior to 1900 (Visual Studio 2015)
+		message(FATAL_ERROR "Visual Studio >= 2015 is required.")
+		set(LYX_USE_STD_REGEX 0)
+	else()
+		set(LYX_USE_STD_REGEX 1)
+	endif()
 endif()
 
 
@@ -328,17 +336,3 @@
 
 if(LYX_3RDPARTY_BUILD)
   # LYX_3RDPARTY_BUILD is not cached anymore, but for compatibility reasons
-  # this enables the build of all 3rd_party libs
-  set(LYX_EXTERNAL_Z        OFF CACHE BOOL "Build 3rdparty lib zlib"    FORCE)
-  set(LYX_EXTERNAL_ICONV    OFF CACHE BOOL "Build 3rdparty iconvlib"    FORCE)
-  set(LYX_EXTERNAL_HUNSPELL OFF CACHE BOOL "Build 3rdparty hunspelllib" FORCE)
-  set(LYX_EXTERNAL_MYTHES   OFF CACHE STRING "Build 3rdparty mytheslib" FORCE)
-endif()
-
-macro(setstripped _varname)
-	if(${ARGC} GREATER 1)
-		string(STRIP "${ARGV1}" _v)
-		if(USE_POSIX_PACKAGING)
-			string(TOLOWER ${_v} ${_varname})
-		else()
-			set(${_varname} ${_v})
