=== debian/changelog ===
lyx (2.3.4-1) unstable; urgency=medium

  * New upstream version 2.3.4
    - Remove patch for failing new installation, has been applied upstream
    - Refresh remaining patches
  * Do not use pristine-tar anymore

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 01 Feb 2020 21:20:51 +0100

lyx (2.3.3-3) unstable; urgency=medium

  * New patch: Fix path to perl
  * Use enchant-2 instead of enchant(1).
    Thanks to Boyuan Yang <byang@debian.org> (Closes: #949175)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 17 Jan 2020 22:44:13 +0100
