=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libboost-regex-dev,
                libboost-signals-dev,
                libboost-test-dev,
-               libenchant-dev,
+               libenchant-2-dev,
                libmagic-dev,
                libmythes-dev,
                libqt5svg5-dev,
