=== debian/changelog ===
lyx (2.3.4.2-2) unstable; urgency=medium

  * Remove libboost-signals-dev to fix FTBFS with boost 1.71.
    Thanks to Giovanni Mascellani <gio@debian.org> (Closes: #951223)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 13 Feb 2020 21:18:39 +0100

lyx (2.3.4.2-1) unstable; urgency=medium

  * New upstream version 2.3.4.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 13 Feb 2020 20:33:17 +0100
