=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                libboost-filesystem-dev,
                libboost-iostreams-dev,
                libboost-regex-dev,
-               libboost-signals-dev,
                libboost-test-dev,
                libenchant-2-dev,
                libmagic-dev,
