## lyx 2.3.5.1

=== debian/changelog ===
lyx (2.3.5.1-1) unstable; urgency=medium

  * New upstream version 2.3.5.1
    - Refresh patches
  * Use debhelper v13
  * Update d/copyright
  * Update Standards-Version to 4.5.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 08 Jun 2020 16:59:35 +0200
