## lyx 2.3.5.2

=== debian/changelog ===
lyx (2.3.5.2-1) unstable; urgency=medium

  * New upstream version 2.3.5.2
  * d/copyright: Replace tab in license with space

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 01 Jul 2020 20:53:00 +0200
