=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: editors
 Priority: optional
 Build-Depends: bc,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                libboost-dev,
                libboost-filesystem-dev,
@@ -21,7 +21,7 @@
                python3,
                qtbase5-dev (>= 5.6.0),
                tex-common
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/lyx
 Vcs-Git: https://salsa.debian.org/debian/lyx.git
 Homepage: https://www.lyx.org/
